#ifndef ISPINDELGUI_H
#define ISPINDELGUI_H

#include <QDialog>
#include "QCustomPlot/qcustomplot.h"
#include <QList>

namespace Ui {
class CIspindelGUI;
}

class CIspindel;
class CIspindelData;

class CIspindelGUI : public QDialog
{
    Q_OBJECT

public:
    explicit CIspindelGUI(QWidget *parent = 0);
    ~CIspindelGUI();
    CIspindel *mProgramHandle;

    void SetLastIspindelFrameData(QString Data, QString ABVText);
    int UpdateIspindelPlot(QList<CIspindelData*> *Data);
    int NewIspindelFrameReceived(CIspindelData *Data);



    QCustomPlot *mIspindelPlot;

public slots:
    void SetOGButtonClicked(bool );
    void DeleteSampleBtnClicked(bool);

private:
    Ui::CIspindelGUI *ui;
};

#endif // ISPINDELGUI_H
